Name: mxp
Version: 1.0
Release: 11
Copyright: MIT
Group: Amusements/Graphics
Summary: An X based Mandelbrot set generator and explorer.
Source: ftp://sunsite.unc.edu/apps/math/fractals/mxp-1.0.tgz
Patch: mxp-1.0-imake.patch
Patch1: mxp-1.0-glibc.patch
BuildRoot: /var/tmp/mxp-root

%description
The mxp (Mandelbrot explorer) program is an X Window System
application for computing and exploring Mandelbrot sets.  Mxp
supports zoom/un-zoom, dynamic resizing of drawing windows, setup
save/load, asynchronous image generation, GIF outputs, animation,
nine color schemes, color rotation, color change options, and
detailed statistics.

Install the mxp package if you need a Mandelbrot set generator for
the X Window System.

%prep
%setup -q -n mxp
%patch -p1
%patch1 -p1

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/X11R6/bin/mxp

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated the source url

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
